#include <stdint.h>
#include <util/delay.h>
#include <avr/io.h>

#include "uart.h"
#include "protocol.h"

#define CALIB_VAL 0xA4

#ifndef  CALIB_VAL
	#warning "CALIB_VAL is not defined, uart connection might be unstable!";
#endif

int main()
{
#ifdef CALIB_VAL
	OSCCAL = CALIB_VAL;
#endif
	init_uart();
	_delay_ms(100);

	initPorts();
	startProtocolHanlde();

	return 0;
}
